Subject: Re: [EXT] Re: [PATCH v2 net-next 1/2] samples: pktgen: allow to specify delay parameter via new opt

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 12 Feb 2021 08:09:27 +0100

On Thu, 11 Feb 2021 17:39:35 +0000
Igor Russkikh <[email-masked]> wrote:

> >> +    echo "  -w : (\$DELAY)     Tx Delay value (us)"  
> >This is not in "us" it is in "ns" (nanosec). (Like I pointed out last time...)  
> 
> Ah, sorry lost that. Will fix.

Also remember that you made similar mistake in next patch.
When adding documentation in samples/pktgen/README.rst.
Strictly speaking, the doc update for DELAY belongs in patch-1.

> One extra thing I wanted to raise is "set -o errexit" in functions.sh.
> It basically contradicts with the usecase I'm using (doing source ./functions.sh).
> After that, any error in current shell makes it to quit.

Cc. Daniel T. Lee, can you remember why this 'errexit' was added?

> Honestly, for my tests, I do always disable that line.

In your shell script, using "append", you can disable that shell
feature in your script (instead of removing the line from functions.sh).

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer